
#ifndef _ESME_ERRORCODE_H
#define _ESME_ERRORCODE_H

#ifdef __cplusplus
extern "C" {
#endif

#define ESME_ROK 0x00000000	 	// No Error
#define ESME_RINVMSGLEN 0x00000001	// Message too long
#define ESME_RINVCMDLEN 0x00000002	// Command length is invalid
#define ESME_RINVCMDID 0x00000003	// Command ID is invalid or not supported
#define ESME_RINVBNDSTS 0x00000004	// Incorrect bind status for given command
#define ESME_RALYBND 0x00000005	// Already bound
#define ESME_RINVPRTFLG 0x00000006	// Invalid Priority Flag
#define ESME_RINVREGDLVFLG 0x00000007	// Invalid registered delivery flag
#define ESME_RSYSERR 0x00000008	// System error
#define ESME_RINVSRCADR 0x0000000A	// Invalid source address
#define ESME_RINVDSTADR 0x0000000B	// Invalid destination address
#define ESME_RINVMSGID 0x0000000C	// Message ID is invalid
#define ESME_RBINDFAIL 0x0000000D	// Bind failed
#define ESME_RINVPASWD 0x0000000E	// Invalid password
#define ESME_RINVSYSID 0x0000000F	// Invalid System ID
#define ESME_RCANCELFAIL 0x00000011	// Cancelling message failed
#define ESME_RREPLACEFAIL 0x00000013	// Message recplacement failed
#define ESME_RMSSQFUL 0x00000014	// Message queue full
#define ESME_RINVSERTYP 0x00000015	// Invalid service type
#define ESME_RINVNUMDESTS 0x00000033	// Invalid number of destinations
#define ESME_RINVDLNAME 0x00000034	// Invalid distribution list name
#define ESME_RINVDESTFLAG 0x00000040	// Invalid destination flag
#define ESME_RINVSUBREP 0x00000042	// Invalid submit with replace request
#define ESME_RINVESMCLASS 0x00000043	// Invalid esm class set
#define ESME_RCNTSUBDL 0x00000044	// Invalid submit to ditribution list
#define ESME_RSUBMITFAIL 0x00000045	// Submitting message has failed
#define ESME_RINVSRCTON 0x00000048	// Invalid source address type of number ( TON )
#define ESME_RINVSRCNPI 0x00000049	// Invalid source address numbering plan ( NPI )
#define ESME_RINVDSTTON 0x00000050	// Invalid destination address type of number ( TON )
#define ESME_RINVDSTNPI 0x00000051	// Invalid destination address numbering plan ( NPI )
#define ESME_RINVSYSTYP 0x00000053	// Invalid system type
#define ESME_RINVREPFLAG 0x00000054	// Invalid replace_if_present flag
#define ESME_RINVNUMMSGS 0x00000055	// Invalid number of messages
#define ESME_RTHROTTLED 0x00000058	// Throttling error
#define ESME_RINVSCHED 0x00000061	// Invalid scheduled delivery time
#define ESME_RINVEXPIRY 0x00000062	// Invalid Validty Period value
#define ESME_RINVDFTMSGID 0x00000063	// Predefined message not found
#define ESME_RX_T_APPN 0x00000064	// ESME Receiver temporary error
#define ESME_RX_P_APPN 0x00000065	// ESME Receiver permanent error
#define ESME_RX_R_APPN 0x00000066	// ESME Receiver reject message error
#define ESME_RQUERYFAIL 0x00000067	// Message query request failed
#define ESME_RINVTLVSTREAM 0x000000C0	// Error in the optional part of the PDU body
#define ESME_RTLVNOTALLWD 0x000000C1	// TLV not allowed
#define ESME_RINVTLVLEN 0x000000C2	// Invalid parameter length
#define ESME_RMISSINGTLV 0x000000C3	// Expected TLV missing
#define ESME_RINVTLVVAL 0x000000C4	// Invalid TLV value
#define ESME_RDELIVERYFAILURE 0x000000FE	// Transaction delivery failure
#define ESME_RUNKNOWNERR 0x000000FF	// Unknown error
#define ESME_RSERTYPUNAUTH 0x00000100	// ESME not authorised to use specified servicetype
#define ESME_RPROHIBITED 0x00000101	// ESME prohibited from using specified operation
#define ESME_RSERTYPUNAVAIL 0x00000102	// Specified servicetype is unavailable
#define ESME_RSERTYPDENIED 0x00000103	// Specified servicetype is denied
#define ESME_RINVDCS 0x00000104	// Invalid data coding scheme
#define ESME_RINVSRCADDRSUBUNIT 0x00000105	// Invalid source address subunit
#define ESME_RINVSTDADDRSUBUNIR 0x00000106	// Invalid destination address subunit
#define ESME_RINVBALANCE 0x0000040B	// Insufficient credits to send message
#define ESME_RUNESME_SPRTDDESTADDR 0x0000040C	// Destination address blocked by the ActiveXperts SMPP Demo Server


#ifdef __cplusplus
}
#endif

#endif
